import FWCore.ParameterSet.Config as cms

qie8Parameters = cms.PSet(MinimumChargeThreshold = cms.double(20),
                          TS4TS5ChargeThreshold = cms.double(70),
                          TS3TS4ChargeThreshold = cms.double(70),
                          TS3TS4UpperChargeThreshold = cms.double(20),
                          TS5TS6ChargeThreshold = cms.double(70),
                          TS5TS6UpperChargeThreshold = cms.double(20),
                          R45PlusOneRange = cms.double(0.2),
                          R45MinusOneRange = cms.double(0.2),
                          TrianglePeakTS = cms.uint32(4),
                          LinearThreshold = cms.vdouble(20, 100, 100000),
                          LinearCut = cms.vdouble(-3, -0.054, -0.054),
                          RMS8MaxThreshold = cms.vdouble(20, 100, 100000),
                          RMS8MaxCut = cms.vdouble(-13.5, -11.5, -11.5),
                          LeftSlopeThreshold = cms.vdouble(250, 500, 100000),
                          LeftSlopeCut = cms.vdouble(5, 2.55, 2.55),
                          RightSlopeThreshold = cms.vdouble(250, 400, 100000),
                          RightSlopeCut = cms.vdouble(5, 4.15, 4.15),
                          RightSlopeSmallThreshold = cms.vdouble(150, 200, 100000),
                          RightSlopeSmallCut = cms.vdouble(1.08, 1.16, 1.16),
                          MinimumTS4TS5Threshold = cms.double(100),
                          TS4TS5UpperThreshold = cms.vdouble(70, 90, 100, 400),
                          TS4TS5UpperCut = cms.vdouble(1, 0.8, 0.75, 0.72),
                          TS4TS5LowerThreshold = cms.vdouble(100, 120, 160, 200, 300, 500),
                          TS4TS5LowerCut = cms.vdouble(-1, -0.7, -0.5, -0.4, -0.3, 0.1),
                          UseDualFit = cms.bool(True),
                          TriangleIgnoreSlow = cms.bool(False))

# For now, QIE11 parameters duplicate those of QIE8. To be tuned.
qie11Parameters = cms.PSet(MinimumChargeThreshold = cms.double(20),
                          TS4TS5ChargeThreshold = cms.double(70),
                          TS3TS4ChargeThreshold = cms.double(70),
                          TS3TS4UpperChargeThreshold = cms.double(20),
                          TS5TS6ChargeThreshold = cms.double(70),
                          TS5TS6UpperChargeThreshold = cms.double(20),
                          R45PlusOneRange = cms.double(0.2),
                          R45MinusOneRange = cms.double(0.2),
                          TrianglePeakTS = cms.uint32(4),
                          LinearThreshold = cms.vdouble(20, 100, 100000),
                          LinearCut = cms.vdouble(-3, -0.054, -0.054),
                          RMS8MaxThreshold = cms.vdouble(20, 100, 100000),
                          RMS8MaxCut = cms.vdouble(-13.5, -11.5, -11.5),
                          LeftSlopeThreshold = cms.vdouble(250, 500, 100000),
                          LeftSlopeCut = cms.vdouble(5, 2.55, 2.55),
                          RightSlopeThreshold = cms.vdouble(250, 400, 100000),
                          RightSlopeCut = cms.vdouble(5, 4.15, 4.15),
                          RightSlopeSmallThreshold = cms.vdouble(150, 200, 100000),
                          RightSlopeSmallCut = cms.vdouble(1.08, 1.16, 1.16),
                          MinimumTS4TS5Threshold = cms.double(100),
                          TS4TS5UpperThreshold = cms.vdouble(70, 90, 100, 400),
                          TS4TS5UpperCut = cms.vdouble(1, 0.8, 0.75, 0.72),
                          TS4TS5LowerThreshold = cms.vdouble(100, 120, 160, 200, 300, 500),
                          TS4TS5LowerCut = cms.vdouble(-1, -0.7, -0.5, -0.4, -0.3, 0.1),
                          UseDualFit = cms.bool(True),
                          TriangleIgnoreSlow = cms.bool(False))
